z s t
a/ *******  *****     ***  *********   ****      *****/
a/ *        *    **    *       *     **    **    *    **/
a/ *        *      *   *       *    *        *   *     */
a/ ******   *       *  *       *   *          *  ******/
a/ *        *      *   *       *    *        *   *    */
a/ *        *    **    *       *     **    **    *     */
a/ *******  *****     ***     ***      ****      *    ***/
a//
a/       ******     *****      *****       *****/
a/      *      *   *     *    *     *     *     */
a/             *  *       *  *       *   *       */
a/          ***   *       *  *       *   *       */
a/       ***      *       *  *       *   *       */
a/      *          *     *    *     *     *     */
a/      ********    *****      *****       *****/
a//
ap1"Press ENTER to continue"
a/  This file demonstrates some of the new commands/
a/  that have been added to Editor 2000 by Mark Knight./
a//
a/  The new Editor is even more powerful than the old, though/
a/  much of it remains the same./
ap1"Press ENTER to continue"
btc
t cs bs
f/same./ n ce be bd b
a/  First, let's add some numeric data to this file.../
a//
a/      123/
a/     1234/
a/    12345/
a/  +123456/
a/  =======/
a/   ?/
a//
a/  OK, so we've got a column of numbers; have you guessed?/
ap1"Press ENTER to continue"
b
d d
t f/123/ cs 2(cr) btk bs f/=======/ p ce be
t e/?// ba ce
a//
a/  Yes, Editor 2000 can add up columns of figures!/
a/  The command is the BA (Block Add) command which places/
a/  the total of the current column block at the cursor/
a/  position./
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/  And just so you realise how flexible this command is.../
a//
a/    1234567890012401923         65.234235/
a/  +12323434252147448323         +0.235332/
a/   ====================         =========/
a/   ?                            ?/
t f/123/ cs 2(cr) bs f/===/ ce be btk t e/?// ba ce
t f/65./ bs e/?// cs 32(cr) ba
b
a//
a/  Great isn't it?  You'll get 9 or 10 figure accuracy,/
a/  for details read the "Editor3_TXT" file./
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/         124/
a/     4542634/
a/      534763/
a/         354/
a/      325272/
a/      110946/
a/         384/
a/         436/
a/     1515213/
a/   100303042/
a/  1000000000/
a/  1040150479 +/
a/  ==========/
a/  ??/
t btk f/124/ cs 2(cr) bs f/+/ 2(cl) be
e/??// ba b
a//
a/  Yes, that's ten figures, all accurate!/
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/  Another useful command that has been added is the/
a/  DM command, which deletes multiple instances of the/
a/  same text./
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/  As an example, if you are building an index using a/
a/  command file you may end up with duplicate entries thus:/
a//
a/File Load/
a/File Save/
a/File Save/
a/File Save/
a/Help/
a/Invoke Macro/
a/Invoke Macro/
a//
a/  If we position the cursor on the first entry, "File Load"/
a/  and then execute the following command line:/
a//
a/  rp dm n/
ap1"Press ENTER to continue"
a//
a/  ...see what happens to the list!/
t rp dm n
ap1"Press ENTER to continue"
t cs bs b ce be btc bd
a/  The DM command can also be used to remove unwanted multiple/
a/  blank lines, sometimes obtained when using command files to/
a/  process "alien" files and make them into raw text files or/
a/  Editor document files./
a//
a//
a//
a//
ap1"Press ENTER to continue"
a/  Like this.../
a//
a//
a//
a//
a/  ...and this./
t rp ns dm
b a//
a/  That was done with the following command line:/
a//
a/  t rp ns dm/
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/  The next area that has recieved attention is sorting./
a//
a/  Sorting data is always at least as fast as in Editor 2.05/
a/  and can be as much as 70% faster.  In addition, there are/
a/  now three sorting modes and commands to switch between/
a/  them./
t f/at least/ bs 2(cw) 2(cl) be
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/  The OS command selects the default "Order System" mode/
a/  which is the same as Editor's only sort mode previously./
a/  This sorts strings into the default sort order given by/
a/  the operating system, which means it varies from one QL/
a/  ROM to another, again under Minerva, and yet again if/
a!  running under SMSQ/E.  It is, however, the fastest sort!
a/  mode./
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/  The OC command selects "Order Codewise" mode which is a/
a/  bit slower, but always sorts in exactly the same order as/
a/  it compares the ASCII codes of the characters in the block/
a/  to determine the sort order./
a//
a/  Finally, the OA command selects "Order Alphabetical" mode,/
a/  which is like "Order System" except that the case of/
a/  characters is ignored./
ap1"Press ENTER to continue"
t cs bs b ce be bd
a/  To see these in action, the following routines will present/
a/  some data, then sort it using the three modes/
a/  in turn.  After each sort, the command line will be/
a/  displayed so you can see which mode was used./
ap1"Press ENTER to continue"
t cs bs b ce be bd
a/alligator/
a/Zebra/
a/python/
a/elephant/
a/Mosquito/
a/zebra/
a/Python/
a/Alligator/
a/Python/
a/Boa constrictor/
t n cs bs b ce be
b ce 6(cr) a//
os sq
a/  That was:/
a//
a/  os sq/
ap1"Press ENTER to continue"
3(d)
oc sq
a/  That was:/
a//
a/  oc sq/
ap1"Press ENTER to continue"
3(d) oc sqd
oa sq
a/  That was:/
a//
a/  oa sq/
ap1"Press ENTER to continue"
a//
a/  Note that the order using OA may (and often will)/
a/  differ from OS as with OA the order of two strings/
a/  like "Alligator" and "alligator" is undefined/
a/  (effectvely random) after using OA but is fixed after OS./
a//
a/  For more details see the new manual or "Editor3_TXT"./
ap1"Press ENTER to continue"
10(d)
a/  Oh, and you can now sort in descending order using the/
a/  new "D" qualifier for the SQ command, e.g. "os sqd".
ap1"Press ENTER to continue"
2(d)
t b
os sqd
a/  That was:/
a//
a/  os sqd/
ap1"Press ENTER to continue"
btc t cs bs b ce be bd
a/         124/
a/     4542634/
a/      534763/
a/         354/
a/      325272/
a/      110946/
a/          14/
a/          45/
a/         325/
a/         436/
a/     1515213/
a/   100303042/
a/  2040150479/
a//
a/  Taking some numeric data again, we can show numeric/
a/  sorting./
t btc f/ 124/ cs bs ns p ce be b
ap1"Press ENTER to continue"
2(d)
sqn
a/  To sort into numeric order that was:/
a//
a/  sqn/
ap1"Press ENTER to continue"
3(d)
sqdn
a/  To sort into descending numeric order that was:/
a//
a/  sqdn/
ap1"Press ENTER to continue"
t cs bs b ce be bd
a/  You can also use a new filetype, "Structured" files,/
a/  with two new commands.  This is for editing/
a/  program files such as 'C', PASCAL, FORTH, Assembly/
a/  Language etc./
a//
a/  This is not something that can be demonstrated/
a/  in a command file, as it simply changes the/
a/  behavior of Editor when editing files from the/
a/  keyboard.  For details, read "Editor3_TXT" or the new/
a/  manual in the Editor document file "Editor_EDOC"./
ap1"Press ENTER to continue"
t cs bs b ce be bd
a/  That's all folks!/
b ce
